大家聊一聊使用的什么版本的Elasticsearch,看看Elasticsearch版本变化

Elasticsearch | 作者 kl | 发布于2016年03月28日 | | 阅读数:3120

我是最近从lucene过渡Elasticsearch的,直接用的最新的2.2.0版本的。发现离线安装插件的方式和以前不一样了,一些配置也有改变,最大的问题是java client api 连接报了如下的异常,我是参照官方api测试的,地址:https://www.elastic.co/guide/e ... .html
org.elasticsearch.transport.RemoteTransportException: Failed to deserialize exception response from stream
谷歌都说是服务和客户端的jvm不一致,我是本机环境测试的,所以,现在这个问题都还没解决,有遇到过的么,还是和版本有关系啊

[尊重社区原创,转载请保留或注明出处]
本文地址:http://elasticsearch.cn/article/62


4 个评论

服务端和测试客户端都在本机么?
kl

kl 回复 medcl

是的,而且我还发现个问题,进程老是假死,ctrl c下就好了
@kl 假死的时候报的错误日志有么?是在做GC么?你都在做哪些操作?
kl

kl 回复 medcl

put新建索引的时候,还有put新增索引doc的时候

要回复文章请先登录注册